## ros-melodic-moveit-servo 1.0.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)
project(moveit_servo)

if(NOT "${CMAKE_CXX_STANDARD}")
  set(CMAKE_CXX_STANDARD 14)
endif()
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

set(SERVO_LIB_NAME moveit_servo_cpp_api)

if(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

find_package(Boost REQUIRED)
find_package(Eigen3 REQUIRED)
find_package(catkin REQUIRED COMPONENTS
  control_msgs
  control_toolbox
  geometry_msgs
  moveit_msgs
  moveit_ros_planning_interface
  rosparam_shortcuts
  sensor_msgs
  std_msgs
  std_srvs
  tf2_eigen
  trajectory_msgs
)

catkin_package(
  INCLUDE_DIRS
    include
  LIBRARIES
    pose_tracking
    ${SERVO_LIB_NAME}
  CATKIN_DEPENDS
    control_msgs
    control_toolbox
    geometry_msgs
    moveit_msgs
    moveit_ros_planning_interface
    rosparam_shortcuts
    sensor_msgs
    std_msgs
    std_srvs
    tf2_eigen
    trajectory_msgs
  DEPENDS
    EIGEN3
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${EIGEN3_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIR}
)

#########################################################
## Library to process realtime twist or joint commands ##
#########################################################

# This library provides an interface for sending realtime twist or joint commands to a robot
add_library(${SERVO_LIB_NAME}
  # These files are used to produce differential motion
  src/collision_check.cpp
  src/servo_calcs.cpp
  src/servo.cpp
  src/low_pass_filter.cpp
)
set_target_properties(${SERVO_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
add_dependencies(${SERVO_LIB_NAME} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${SERVO_LIB_NAME}
  ${catkin_LIBRARIES}
  ${Eigen_LIBRARIES}
  ${Boost_LIBRARIES}
)

# An example of streaming realtime Cartesian and joint commands
add_executable(cpp_interface_example
  src/cpp_interface_example/cpp_interface_example.cpp
)
add_dependencies(cpp_interface_example ${catkin_EXPORTED_TARGETS})
target_link_libraries(cpp_interface_example
  ${catkin_LIBRARIES}
  ${SERVO_LIB_NAME}
)

# An example of pose tracking
add_executable(pose_tracking_example
  src/cpp_interface_example/pose_tracking_example.cpp
)
add_dependencies(pose_tracking_example ${catkin_EXPORTED_TARGETS})
target_link_libraries(pose_tracking_example
  ${catkin_LIBRARIES}
  ${SERVO_LIB_NAME}
  pose_tracking
)

########################################
## Library for servoing toward a pose ##
########################################

add_library(pose_tracking
  src/pose_tracking.cpp
)
add_dependencies(pose_tracking ${catkin_EXPORTED_TARGETS})
target_link_libraries(pose_tracking
  ${catkin_LIBRARIES}
  ${SERVO_LIB_NAME}
)

############################
## ROS message-based node ##
############################

add_executable(servo_server
  src/servo_server.cpp
)
add_dependencies(servo_server ${catkin_EXPORTED_TARGETS})
target_link_libraries(servo_server
  ${SERVO_LIB_NAME}
  ${catkin_LIBRARIES}
)

################################################
## An example of converting joystick commands ##
################################################

add_executable(spacenav_to_twist
  src/teleop_examples/spacenav_to_twist.cpp
)
add_dependencies(spacenav_to_twist ${catkin_EXPORTED_TARGETS})
target_link_libraries(spacenav_to_twist ${catkin_LIBRARIES})

##################
## INSTALLATION ##
##################

install(
  TARGETS
    ${SERVO_LIB_NAME}
    pose_tracking
    pose_tracking_example
    servo_server
    spacenav_to_twist
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY config DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

#############
## TESTING ##
#############

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)

  # servo_cpp_interface
  add_rostest_gtest(servo_cpp_interface_test
    test/servo_cpp_interface_test.test
    test/servo_cpp_interface_test.cpp
  )
  target_link_libraries(servo_cpp_interface_test
    ${SERVO_LIB_NAME}
    ${catkin_LIBRARIES}
  )

  # pose_tracking
  add_rostest_gtest(pose_tracking_test
    test/pose_tracking_test.test
    test/pose_tracking_test.cpp
  )
  target_link_libraries(pose_tracking_test
    pose_tracking
    ${catkin_LIBRARIES}
  )
endif()

=== debian/changelog ===
ros-melodic-moveit-servo (1.0.7-1stretch) stretch; urgency=high

  * [feature] Cleanup current state handling in servo (#2372 <https://github.com/ros-planning/moveit/issues/2372>)
  * [feature] Servo namespacing logic (#2354 <https://github.com/ros-planning/moveit/issues/2354>)
  * [feature] A library for servoing toward a moving pose (#2203 <https://github.com/ros-planning/moveit/issues/2203>)
  * [feature] Refactor velocity limit enforcement and add a unit test (#2260 <https://github.com/ros-planning/moveit/issues/2260>)
  * [feature] Add a utility to print collision pairs (#2275 <https://github.com/ros-planning/moveit/issues/2275>)
  * [feature] Update last_sent_command_ at ServoCalcs start (#2249 <https://github.com/ros-planning/moveit/issues/2249>)
  * [fix] Fix servo trajectory point timestamping (#2375 <https://github.com/ros-planning/moveit/issues/2375>)
  * [fix] Fix ordering of windup args to control_toolbox::Pid (#2370 <https://github.com/ros-planning/moveit/issues/2370>)
  * [fix] Fix Servo thread interruption (#2314 <https://github.com/ros-planning/moveit/issues/2314>)
  * [fix] Servo heap-buffer-overflow bug (#2307 <https://github.com/ros-planning/moveit/issues/2307>)
  * [maint] add soname version to moveit_servo (#2266 <https://github.com/ros-planning/moveit/issues/2266>)
  * Contributors: AdamPettinger, AndyZe, Jere Liukkonen, Nathan Brooks, Robert Haschke, Tyler Weaver

 -- Blake Anderson <blakeanderson@utexas.edu>  Fri, 20 Nov 2020 07:00:00 -0000

ros-melodic-moveit-servo (1.0.6-1stretch) stretch; urgency=high

  * [feature] A ROS service to reset the Servo status (#2246 <https://github.com/ros-planning/moveit/issues/2246>)
  * [feature] Check collisions during joint motions, too (#2204 <https://github.com/ros-planning/moveit/issues/2204>)
  * [fix]     Correctly set velocities to zero when stale (#2255 <https://github.com/ros-planning/moveit/issues/2255>)
  * [maint]   Remove unused yaml param (#2232 <https://github.com/ros-planning/moveit/issues/2232>)
  * [maint]   Adapt repository for splitted moveit_resources layout (#2199 <https://github.com/ros-planning/moveit/issues/2199>)
  * [maint]   Migrate to clang-format-10
  * Contributors: AndyZe, Robert Haschke, Ruofan Xu, Michael Görner

 -- Blake Anderson <blakeanderson@utexas.edu>  Wed, 19 Aug 2020 06:00:00 -0000

ros-melodic-moveit-servo (1.0.5-1stretch) stretch; urgency=high

  * [maint]   Minor moveit_servo header cleanup (#2173 <https://github.com/ros-planning/moveit/issues/2173>)
  * [maint]   Move and rename to moveit_ros/moveit_servo (#2165 <https://github.com/ros-planning/moveit/issues/2165>)
  * [maint]   Changes before porting to ROS2 (#2151 <https://github.com/ros-planning/moveit/issues/2151>)
    * throttle warning logs
    * ROS1 Basic improvements and changes
    * Fixes to drift dimensions, singularity velocity scaling
    * tf name changes, const fixes, slight logic changes
    * Move ROS_LOG_THROTTLE_PERIOD to cpp files
    * Track staleness of joint and twist seperately
    * Ensure joint_trajectory output is always populated with something, even when no jog
    * Fix joint trajectory redundant points for gazebo pub
    * Fix crazy joint jog from bad Eigen init
    * Fix variable type in addJointIncrements()
    * Initialize last sent command in constructor
    * More explicit joint_jog_cmdand twist_stamped_cmdnames
    * Add comment clarying transform calculation / use
  * [fix]     Fix access past end of array bug (#2155 <https://github.com/ros-planning/moveit/issues/2155>)
  * [maint]   Remove duplicate line (#2154 <https://github.com/ros-planning/moveit/issues/2154>)
  * [maint]   pragma once in jog_arm.h (#2152 <https://github.com/ros-planning/moveit/issues/2152>)
  * [feature] Simplify communication between threads (#2103 <https://github.com/ros-planning/moveit/issues/2103>)
    * get latest joint state c++ api
    * throttle warning logs
    * publish from jog calcs timer, removing redundant timer and internal messaging to main timer
    * outgoing message as pool allocated shared pointer for zero copy
    * replace jog_arm shared variables with ros pub/sub
    * use built in zero copy message passing instead of spsc_queues
    * use ros timers instead of threads in jog_arm
  * [feature] Added throttle to jogarm accel limit warning (#2141 <https://github.com/ros-planning/moveit/issues/2141>)
  * [feature] Time-based collision avoidance (#2100 <https://github.com/ros-planning/moveit/issues/2100>)
  * [fix]     Fix crash on empty jog msgs (#2094 <https://github.com/ros-planning/moveit/issues/2094>)
  * [feature] Jog arm dimensions (#1724 <https://github.com/ros-planning/moveit/issues/1724>)
  * [maint]   Clang-tidy fixes (#2050 <https://github.com/ros-planning/moveit/issues/2050>)
  * [feature] Keep updating joints, even while waiting for a valid command (#2027 <https://github.com/ros-planning/moveit/issues/2027>)
  * [fix]     Fix param logic bug for self- and scene-collision proximity thresholds (#2022 <https://github.com/ros-planning/moveit/issues/2022>)
  * [feature] Split collision proximity threshold (#2008 <https://github.com/ros-planning/moveit/issues/2008>)
    * separate proximity threshold values for self-collisions and scene collisions
    * increase default value of scene collision proximity threshold
    * deprecate old parameters
  * [fix]     Fix valid command flags (#2013 <https://github.com/ros-planning/moveit/issues/2013>)
    * Rename the 'zero command flag' variables for readability
    * Reset flags when incoming commands timeout
    * Remove debug line, clang format
  * [maint]   Use default move constructor + assignment operators for MoveItCpp. (#2004 <https://github.com/ros-planning/moveit/issues/2004>)
  * [fix]     Fix low-pass filter initialization (#1982 <https://github.com/ros-planning/moveit/issues/1982>)
    * Pause/stop JogArm threads using shared atomic bool variables
    * Add pause/unpause flags for jog thread


=== debian/control ===
Source: ros-melodic-moveit-servo
Section: misc
Priority: optional
Maintainer: Blake Anderson <blakeanderson@utexas.edu>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-control-msgs, ros-melodic-control-toolbox, ros-melodic-geometry-msgs, ros-melodic-moveit-msgs, ros-melodic-moveit-resources-panda-moveit-config, ros-melodic-moveit-ros-planning-interface, ros-melodic-rosparam-shortcuts, ros-melodic-rostest, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-std-srvs, ros-melodic-tf2-eigen, ros-melodic-trajectory-msgs
Homepage: https://ros-planning.github.io/moveit_tutorials
Standards-Version: 3.9.2

Package: ros-melodic-moveit-servo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-control-msgs, ros-melodic-control-toolbox, ros-melodic-geometry-msgs, ros-melodic-joy-teleop, ros-melodic-moveit-msgs, ros-melodic-moveit-ros-planning-interface, ros-melodic-rosparam-shortcuts, ros-melodic-sensor-msgs, ros-melodic-spacenav-node, ros-melodic-std-msgs, ros-melodic-std-srvs, ros-melodic-tf2-eigen, ros-melodic-trajectory-msgs
Description: Provides real-time manipulator Cartesian and joint servoing.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-moveit-servo//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-moveit-servo 1.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -165,6 +165,16 @@
 if(CATKIN_ENABLE_TESTING)
   find_package(rostest REQUIRED)
 
+  # basic functionality
+  add_rostest_gtest(basic_servo_tests
+    test/basic_servo_tests.test
+    test/basic_servo_tests.cpp
+  )
+  target_link_libraries(basic_servo_tests
+    ${SERVO_LIB_NAME}
+    ${catkin_LIBRARIES}
+  )
+
   # servo_cpp_interface
   add_rostest_gtest(servo_cpp_interface_test
     test/servo_cpp_interface_test.test

=== debian/changelog ===
ros-melodic-moveit-servo (1.0.11-1bionic) bionic; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Mon, 12 Sep 2022 22:00:00 -0000

ros-melodic-moveit-servo (1.0.10-1bionic) bionic; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Sat, 05 Mar 2022 23:00:00 -0000

ros-melodic-moveit-servo (1.0.9-1bionic) bionic; urgency=high

  * Fix an off-by-one error in servo_calcs.cpp (#2908 <https://github.com/ros-planning/moveit/issues/2908>)
  * Contributors: Michael Görner

 -- Blake Anderson <blakeanderson@utexas.edu>  Sat, 08 Jan 2022 23:00:00 -0000

ros-melodic-moveit-servo (1.0.8-1bionic) bionic; urgency=high

  * Avoid joint jump when SuddenHalt() is called in velocity mode (#2594 <https://github.com/ros-planning/moveit/issues/2594>)
  * Halt Servo command on Pose Tracking stop (#2501 <https://github.com/ros-planning/moveit/issues/2501>)
  * stop_requested_ flag clearing fix (#2537 <https://github.com/ros-planning/moveit/issues/2537>)
  * Refactor Servo velocity bounds enforcement (#2471 <https://github.com/ros-planning/moveit/issues/2471>)
  * Protect paused_ flag, for thread safety (#2494 <https://github.com/ros-planning/moveit/issues/2494>)
  * Do not break out of loop -- need to update low pass filters (#2496 <https://github.com/ros-planning/moveit/issues/2496>)
  * Fix initial angle error is always 0 (#2464 <https://github.com/ros-planning/moveit/issues/2464>)
  * Add an important sleep in Servo pose tracking (#2463 <https://github.com/ros-planning/moveit/issues/2463>)
  * Prevent moveit_servo transforms between fixed frames from causing timeout (#2418 <https://github.com/ros-planning/moveit/issues/2418>)
  * Low latency mode (#2401 <https://github.com/ros-planning/moveit/issues/2401>)
  * Move timer initialization down to fix potential race condition
  * Fix pose tracking race condition (#2395 <https://github.com/ros-planning/moveit/issues/2395>)
  * Contributors: AdamPettinger, AndyZe, Jere Liukkonen, Michael Görner, Nathan Brooks, Tyler Weaver, parunapu

 -- Blake Anderson <blakeanderson@utexas.edu>  Sat, 22 May 2021 22:00:00 -0000

ros-melodic-moveit-servo (1.0.7-1bionic) bionic; urgency=high

  * [feature] Cleanup current state handling in servo (#2372 <https://github.com/ros-planning/moveit/issues/2372>)
  * [feature] Servo namespacing logic (#2354 <https://github.com/ros-planning/moveit/issues/2354>)
  * [feature] A library for servoing toward a moving pose (#2203 <https://github.com/ros-planning/moveit/issues/2203>)
  * [feature] Refactor velocity limit enforcement and add a unit test (#2260 <https://github.com/ros-planning/moveit/issues/2260>)
  * [feature] Add a utility to print collision pairs (#2275 <https://github.com/ros-planning/moveit/issues/2275>)
  * [feature] Update last_sent_command_ at ServoCalcs start (#2249 <https://github.com/ros-planning/moveit/issues/2249>)
  * [fix] Fix servo trajectory point timestamping (#2375 <https://github.com/ros-planning/moveit/issues/2375>)
  * [fix] Fix ordering of windup args to control_toolbox::Pid (#2370 <https://github.com/ros-planning/moveit/issues/2370>)
  * [fix] Fix Servo thread interruption (#2314 <https://github.com/ros-planning/moveit/issues/2314>)
  * [fix] Servo heap-buffer-overflow bug (#2307 <https://github.com/ros-planning/moveit/issues/2307>)
  * [maint] add soname version to moveit_servo (#2266 <https://github.com/ros-planning/moveit/issues/2266>)
  * Contributors: AdamPettinger, AndyZe, Jere Liukkonen, Nathan Brooks, Robert Haschke, Tyler Weaver

 -- Blake Anderson <blakeanderson@utexas.edu>  Thu, 19 Nov 2020 23:00:00 -0000

ros-melodic-moveit-servo (1.0.6-1bionic) bionic; urgency=high

  * [feature] A ROS service to reset the Servo status (#2246 <https://github.com/ros-planning/moveit/issues/2246>)
  * [feature] Check collisions during joint motions, too (#2204 <https://github.com/ros-planning/moveit/issues/2204>)
  * [fix]     Correctly set velocities to zero when stale (#2255 <https://github.com/ros-planning/moveit/issues/2255>)
  * [maint]   Remove unused yaml param (#2232 <https://github.com/ros-planning/moveit/issues/2232>)
  * [maint]   Adapt repository for splitted moveit_resources layout (#2199 <https://github.com/ros-planning/moveit/issues/2199>)
  * [maint]   Migrate to clang-format-10
  * Contributors: AndyZe, Robert Haschke, Ruofan Xu, Michael Görner

 -- Blake Anderson <blakeanderson@utexas.edu>  Tue, 18 Aug 2020 22:00:00 -0000

ros-melodic-moveit-servo (1.0.5-1bionic) bionic; urgency=high

  * [maint]   Minor moveit_servo header cleanup (#2173 <https://github.com/ros-planning/moveit/issues/2173>)
  * [maint]   Move and rename to moveit_ros/moveit_servo (#2165 <https://github.com/ros-planning/moveit/issues/2165>)
  * [maint]   Changes before porting to ROS2 (#2151 <https://github.com/ros-planning/moveit/issues/2151>)
    * throttle warning logs
    * ROS1 Basic improvements and changes
    * Fixes to drift dimensions, singularity velocity scaling
    * tf name changes, const fixes, slight logic changes
    * Move ROS_LOG_THROTTLE_PERIOD to cpp files
    * Track staleness of joint and twist seperately
    * Ensure joint_trajectory output is always populated with something, even when no jog
    * Fix joint trajectory redundant points for gazebo pub
    * Fix crazy joint jog from bad Eigen init
    * Fix variable type in addJointIncrements()
    * Initialize last sent command in constructor
    * More explicit joint_jog_cmdand twist_stamped_cmdnames
    * Add comment clarying transform calculation / use
  * [fix]     Fix access past end of array bug (#2155 <https://github.com/ros-planning/moveit/issues/2155>)
  * [maint]   Remove duplicate line (#2154 <https://github.com/ros-planning/moveit/issues/2154>)
  * [maint]   pragma once in jog_arm.h (#2152 <https://github.com/ros-planning/moveit/issues/2152>)
  * [feature] Simplify communication between threads (#2103 <https://github.com/ros-planning/moveit/issues/2103>)
    * get latest joint state c++ api
    * throttle warning logs


=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Blake Anderson <blakeanderson@utexas.edu>
-Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-control-msgs, ros-melodic-control-toolbox, ros-melodic-geometry-msgs, ros-melodic-moveit-msgs, ros-melodic-moveit-resources-panda-moveit-config, ros-melodic-moveit-ros-planning-interface, ros-melodic-rosparam-shortcuts, ros-melodic-rostest, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-std-srvs, ros-melodic-tf2-eigen, ros-melodic-trajectory-msgs
+Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-control-msgs, ros-melodic-control-toolbox, ros-melodic-geometry-msgs, ros-melodic-moveit-msgs, ros-melodic-moveit-resources-panda-moveit-config <!nocheck>, ros-melodic-moveit-ros-planning-interface, ros-melodic-rosparam-shortcuts, ros-melodic-rostest <!nocheck>, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-std-srvs, ros-melodic-tf2-eigen, ros-melodic-trajectory-msgs
 Homepage: https://ros-planning.github.io/moveit_tutorials
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
